-- MagicBabble, drop-in replacement for LibBabble-Zone-3.0 as used by FlightMap
-- Copyright (c) 2012 Moncai

local BabbleBase = {
	["Dire Maul"] = 699,
	["The Hinterlands"] = 26,
	["Icecrown Citadel"] = 604,
	["The Cape of Stranglethorn"] = 673,
	["Blackrock Spire"] = 721,
	["Hellfire Peninsula"] = 465,
	["Hrothgar's Landing"] = 541,
	["Arathi Highlands"] = 16,
	["Westfall"] = 39,
	["Abyssal Depths"] = 614,
	["The Eye of Eternity"] = 527,
	["Undercity"] = 382,
	["Desolace"] = 101,
	["Zul'Drak"] = 496,
	["Proving Grounds"] = 899,
	["Northern Stranglethorn"] = 37,
	["Karazhan"] = 799,
	["Ahn'kahet: The Old Kingdom"] = 522,
	["Hour of Twilight"] = 819,
	["The Vortex Pinnacle"] = 769,
	["Darnassus"] = 381,
	["Azuremyst Isle"] = 464,
	["Gilneas"] = 679,
	["Shrine of Two Moons"] = 903,
	["Ruins of Ahn'Qiraj"] = 717,
	["Dragon Soul"] = 824,
	["Gundrak"] = 530,
	["Alterac Valley"] = 401,
	["Un'Goro Crater"] = 201,
	["Ironforge"] = 341,
	["Dalaran"] = 504,
	["The Violet Hold"] = 536,
	["Western Plaguelands"] = 22,
	["Wetlands"] = 40,
	["The Jade Forest"] = 880,
	["Jade Forest"] = 880,
	["Shadowmoon Valley"] = 473,
	["Halls of Stone"] = 526,
	["Shrine of Seven Stars"] = 905,
	["Scholomance"] = 898,
	["Heart of Fear"] = 897,
	["Crypt of Forgotten Kings"] = 900,
	["Hillsbrad Foothills"] = 24,
	["Ammen Vale"] = 894,
	["Mogu'shan Vaults"] = 896,
	["Deathknell"] = 892,
	["Echo Isles"] = 891,
	["Camp Narache"] = 890,
	["Plaguelands: The Scarlet Enclave"] = 502,
	["Howling Fjord"] = 491,
	["Halls of Origination"] = 759,
	["Shadowglen"] = 888,
	["Auchenai Crypts"] = 722,
	["Mount Hyjal"] = 683,
	["Arathi Basin"] = 461,
	["Mogu'shan Palace"] = 885,
	["Dustwallow Marsh"] = 907,
	["Naxxramas"] = 535,
	["Searing Gorge"] = 28,
	["Loch Modan"] = 35,
	["Blade's Edge Mountains"] = 475,
	["Dread Wastes"] = 858,
	["The Lost Isles"] = 682,
	["Silvershard Mines"] = 860,
	["Hyjal Summit"] = 775,
	["Hellfire Ramparts"] = 797,
	["A Brewing Storm"] = 878,
	["The Storm Peaks"] = 495,
	["Durotar"] = 4,
	["The Veiled Stair"] = 873,
	["Silithus"] = 261,
	["Shattrath City"] = 481,
	["Stormstout Brewery"] = 876,
	["Krasarang Wilds"] = 857,
	["Grizzly Hills"] = 490,
	["Scarlet Halls"] = 871,
	["Temple of the Jade Serpent"] = 867,
	["Coldridge Valley"] = 866,
	["Winterspring"] = 281,
	["Unga Ingoo"] = 882,
	["Brewmoon Festival"] = 884,
	["Gate of the Setting Sun"] = 875,
	["Temple of Kotmogu"] = 881,
	["Ashenvale"] = 43,
	["Pit of Saron"] = 602,
	["Darkmoon Island"] = 823,
	["End Time"] = 820,
	["Well of Eternity"] = 816,
	["Kelp'thar Forest"] = 610,
	["Valley of the Four Winds"] = 807,
	["Blackfathom Deeps"] = 688,
	["Townlong Steppes"] = 810,
	["Kun-Lai Summit"] = 879,
	["The Wandering Isle"] = 808,
	["Vale of Eternal Blossoms"] = 811,
	["Serpentshrine Cavern"] = 780,
	["Terrace of Endless Spring"] = 886,
	["Magisters' Terrace"] = 798,
	["Black Temple"] = 796,
	["Molten Front"] = 795,
	["Eversong Woods"] = 462,
	["Northern Barrens"] = 11,
	["ScholomanceOLD"] = 763,
	["The Bastion of Twilight"] = 758,
	["Tempest Keep"] = 782,
	["Blackrock Depths"] = 704,
	["Zul'Aman"] = 781,
	["Nagrand"] = 477,
	["Magtheridon's Lair"] = 779,
	["Gruul's Lair"] = 776,
	["Wintergrasp"] = 501,
	["Shimmering Expanse"] = 615,
	["Throne of the Four Winds"] = 773,
	["Ahn'Qiraj: The Fallen Kingdom"] = 772,
	["The Stonecore"] = 768,
	["Terokkar Forest"] = 478,
	["The Maelstrom"] = 751,
	["Stratholme"] = 765,
	["Ahn'Qiraj"] = 766,
	["Gilneas City"] = 611,
	["Silvermoon City"] = 480,
	["The Stockade"] = 690,
	["Scarlet Monastery"] = 874,
	["Trial of the Champion"] = 542,
	["Razorfen Downs"] = 760,
	["Utgarde Keep"] = 523,
	["Maraudon"] = 750,
	["Valley of Trials"] = 889,
	["Trial of the Crusader"] = 543,
	["Tanaris"] = 161,
	["Stormwind City"] = 301,
	["Borean Tundra"] = 486,
	["Utgarde Pinnacle"] = 524,
	["Grim Batol"] = 757,
	["The Temple of Atal'Hakkar"] = 687,
	["The Deadmines"] = 756,
	["Blackwing Lair"] = 755,
	["Swamp of Sorrows"] = 38,
	["Deepholm"] = 640,
	["Blackwing Descent"] = 754,
	["The Culling of Stratholme"] = 521,
	["Blackrock Caverns"] = 753,
	["Stranglethorn Vale"] = 689,
	["Halls of Reflection"] = 603,
	["Sunstrider Isle"] = 893,
	["Lost City of the Tol'vir"] = 747,
	["The Battle for Gilneas"] = 736,
	["Wailing Caverns"] = 749,
	["Teldrassil"] = 41,
	["Halls of Lightning"] = 525,
	["Throne of the Tides"] = 767,
	["Mulgore"] = 9,
	["Old Hillsbrad Foothills"] = 734,
	["Deadwind Pass"] = 32,
	["Zul'Gurub"] = 793,
	["Mana-Tombs"] = 732,
	["Baradin Hold"] = 752,
	["Twilight Highlands"] = 770,
	["Shadowfang Keep"] = 764,
	["The Exodar"] = 471,
	["The Shattered Halls"] = 710,
	["The Battle for Gilneas (Old City Map)"] = 677,
	["The Obsidian Sanctum"] = 531,
	["Silverpine Forest"] = 21,
	["Zan'vess"] = 883,
	["Ruins of Gilneas City"] = 685,
	["Zul'Farrak"] = 686,
	["The Underbog"] = 726,
	["Thunder Bluff"] = 362,
	["The Blood Furnace"] = 725,
	["Stonetalon Mountains"] = 81,
	["Shadow Labyrinth"] = 724,
	["Sethekk Halls"] = 723,
	["Azjol-Nerub"] = 533,
	["Ulduar"] = 529,
	["Moonglade"] = 241,
	["Drak'Tharon Keep"] = 534,
	["Siege of Niuzao Temple"] = 887,
	["Uldum"] = 748,
	["Onyxia's Lair"] = 718,
	["Tol Barad Peninsula"] = 709,
	["The Forge of Souls"] = 601,
	["The Ruby Sanctum"] = 609,
	["Tol Barad"] = 708,
	["The Mechanar"] = 730,
	["The Nexus"] = 803,
	["The Black Morass"] = 733,
	["Molten Core"] = 696,
	["Eye of the Storm"] = 813,
	["Dragonblight"] = 488,
	["Eastern Plaguelands"] = 23,
	["Ruins of Gilneas"] = 684,
	["Bloodmyst Isle"] = 476,
	["Tirisfal Glades"] = 20,
	["Gnomeregan"] = 691,
	["Sunwell Plateau"] = 789,
	["Azshara"] = 181,
	["Isle of Conquest"] = 540,
	["The Botanica"] = 729,
	["Orgrimmar"] = 321,
	["Sholazar Basin"] = 493,
	["New Tinkertown"] = 895,
	["Warsong Gulch"] = 443,
	["Firelands"] = 800,
	["Icecrown"] = 492,
	["Strand of the Ancients"] = 512,
	["Netherstorm"] = 479,
	["The Steamvault"] = 727,
	["Duskwood"] = 34,
	["Darkshore"] = 42,
	["Ragefire Chasm"] = 680,
	["Uldaman"] = 692,
	["Ghostlands"] = 463,
	["Zangarmarsh"] = 467,
	["Twin Peaks"] = 626,
	["Southern Barrens"] = 607,
	["Kezan"] = 605,
	["Blasted Lands"] = 19,
	["Elwynn Forest"] = 30,
	["Felwood"] = 182,
	["Vashj'ir"] = 613,
	["Burning Steppes"] = 29,
	["Shado-Pan Monastery"] = 877,
	["Crystalsong Forest"] = 510,
	["Thousand Needles"] = 61,
	["Northshire"] = 864,
	["Razorfen Kraul"] = 761,
	["The Slave Pens"] = 728,
	["Badlands"] = 17,
	["Feralas"] = 121,
	["Vault of Archavon"] = 532,
	["Redridge Mountains"] = 36,
	["Isle of Quel'Danas"] = 499,
	["The Oculus"] = 528,
	["Dun Morogh"] = 27,
	["The Arcatraz"] = 731,
}


BabbleZone = {}

for name,id in pairs(BabbleBase) do
	BabbleZone[name] = GetMapNameByID(id)
end

-- Code below for generating base on enUS or enGB
function MagicBabbleGen()
	FlightMap.Babble.Names = Names
	FlightMap.Babble.IDs = IDs
	local Babble = {}

	for i = 1, 10000,1 do
		local name = GetMapNameByID(i)
		if name then
			Babble[name] = i
		end
	end
	return Babble
end
